GET /organizations/{organizationId}/inventory/devices

meraki.com

Summary: Return the device inventory for an organization
Operation ID: getOrganizationInventoryDevices
Auth: unknown
Description

Return the device inventory for an organization

Parameters (14)

endingBefore (string, query, optional)

A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

macs (array, query, optional)

Search for devices in inventory based on mac addresses.

models (array, query, optional)

Search for devices in inventory based on model.

networkIds (array, query, optional)

Search for devices in inventory based on network ids.

orderNumbers (array, query, optional)

Search for devices in inventory based on order numbers.

organizationId (string, path, required)
perPage (integer, query, optional)

The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000.

productTypes (array, query, optional)

Filter devices by product type. Accepted values are appliance, camera, cellularGateway, sensor, switch, systemsManager, and wireless.

search (string, query, optional)

Search for devices in inventory based on serial number, mac address, or model.

serials (array, query, optional)

Search for devices in inventory based on serials.

startingAfter (string, query, optional)

A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it.

tags (array, query, optional)

Filter devices by tags. The filtering is case-sensitive. If tags are included, 'tagsFilterType' should also be included (see below).

tagsFilterType (string, query, optional)

To use with 'tags' parameter, to filter devices which contain ANY or ALL given tags. Accepted values are 'withAnyTags' or 'withAllTags', default is 'withAnyTags'.

Constraints: {'enum': ['withAllTags', 'withAnyTags']}

usedState (string, query, optional)

Filter results by used or unused inventory. Accepted values are 'used' or 'unused'.

Constraints: {'enum': ['unused', 'used']}

No probe data for this endpoint yet.